Name: seiros-installer-busybox
Version: 1.10.1
Release: alt2

Summary: Busybox build for installer
License: GPL
Group: System/Kernel and hardware

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: busybox.tar
Source1: %name.config

BuildRequires: glibc-kernheaders

Patch1: cpio.patch
Patch2: getopt.patch

%description
%summary

%prep
%setup -q -c
%patch1 -p0
#patch2 -p0
cp %SOURCE1 .config

%build
# SMP-incompatible build - fails to build config.h before it is needed :(
%make oldconfig
%make_build
#LIBRARIES="-lcompat"

%install
%make_install install
mkdir -p %buildroot%_datadir/%name
cd _install
mkdir -p usr/sbin usr/bin
pushd bin
for s in *; do
  ln -sf ../../bin/$s ..%_bindir/$s
done
popd
pushd sbin
for s in *; do
  ln -sf ../../sbin/$s ..%_sbindir/$s
done
popd
ln -s /bin/busybox sbin/ip
find . | cpio -o -c > %buildroot%_datadir/%name/busybox.cpio

%files
%_datadir/%name/busybox.cpio

%changelog
* Mon Nov 24 2008 Denis Smirnov <mithraen@altlinux.ru> 1.10.1-alt2
- spec cleanup

* Sat Nov 22 2008 Denis Smirnov <mithraen@altlinux.ru> 1.10.1-alt1
- update to 1.10.1

* Sat Mar 03 2007 Denis Smirnov <mithraen@altlinux.ru> 1.1.3-alt3
- fix building

* Fri Mar 02 2007 Denis Smirnov <mithraen@altlinux.ru> 1.1.3-alt2
- first release in Sisyphus

* Sat Jun 24 2006 Denis Smirnov <mithraen@altlinux.ru> 1.1.3-alt1
- first build

